Subject: bug#7534: closed (Re: bug#7534: C-g in Isearch regexp mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 16 Jan 2011 01:01:02 +0000

Your bug report

#7534: 24.0.50; G-g within Isearch regexp mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7534: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7534
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7534: C-g in Isearch regexp mode
From: Juri Linkov <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], Chong Yidong <[email-masked]>, Dani Moncayo <[email-masked]>
Date: Sun, 16 Jan 2011 01:06:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>> I think the behavior of Isearch that Dani proposes is reasonable because
>>>> it seems this is how `isearch-abort' was supposed to work since its
>>>> comment says "If search has an incomplete regexp" but this branch currently
>>>> is never reached.  So I'd like to install it to the trunk.
>
> I haven't had time to dig into it and understand the details, but
> I'll trust Juri on this one.

Installed to the trunk.

Subject: 24.0.50; G-g within Isearch regexp mode
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Thu, 2 Dec 2010 20:47:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Recipe:
0) Start Emacs (-Q)
1) Place point at the beginning of the *scratch* buffer.
2) Search for the regexp "iss" (C-M-s iss) --> The last `s' is
unmatched as expected, OK.
3) Type C-g --> The unmatched part disappears. Everything OK so far.
4) Now repeat steps #2 and #3 with the regexp "is[". --> This time C-g
behaves differently. Instead of deleting the unmatched part, it ends
Isearch mode.

The fail seems to appear whenever `[' is the first character in the
unmatched part. For instance:
 * C-M-s iss[ C-g --> Works as expected (unmatched part deleted).
 * C-M-s is[blablabla --> Doesn't work as expected (Isearch cancelled).

-- 
Dani Moncayo